
path(path,'../program/agq');
 
format long;

global Y ID ID2 N N2 XMAT ZMAT WMAT BINN1 BINN2;
global PLINK MU1LINK MU2LINK ERRDIST1 ERRDIST2;

global YVAR LINKFUNCTION XVARS ERRDISFUNCTION SCALEPAR INC_CONST;
global  WEIGHTS DETAILSFILE NAMEXV NAMELIST NAMEYV;
load 'wflyid.dat';
plantid=wflyid(:,7);
ID=plantid;
N=size(ID,1);
N2=max(ID);
Y=wflyid(:,6);
week=wflyid(:,2);
week2=week.^2;
week3=week.^3;
rep=wflyid(:,3);
trt=wflyid(:,4);
BINN=wflyid(:,5);
BINN1=BINN;
BINN2=BINN;
trtmat=fac(trt,6); %makes a matrix of indicators for all levels of trt except
                   % trt=6
weekmat=fac(week); %makes a matrix of indicators for all weeks except week=1
repmat=fac(rep); %makes a matrix of indicators for all reps except rep=1

ID2=zeros(N,1);
for i=1:N2;
  ID2(ID==i)=[1:size(ID(ID==i),1)]';
end;

PLINK='logit';
MU1LINK='logit';
MU2LINK='logit';
ERRDIST1='binoml';
ERRDIST2='binoml';

XMAT=[ones(N,1), trtmat, repmat, weekmat];
ZMAT=[ones(N,1), trtmat, repmat, weekmat];
WMAT=[ones(N,1), trtmat, repmat, weekmat];

glmlab;

alphainit =[ -5.4537  1.843  0.257  1.693 -0.2969 22.19  1.0838 1.191  0.266 -1.463 -1.729 -12.84 -14.06 -1.26 0.050 -14.87 -0.72 -1.39  0.157]';
betainit = [ 0.9441  -0.365  -0.89  -0.39  -0.98  0.248  1.0319 0.452 -0.979 -1.402 -1.063 -2.082 -1.860 -2.19 -1.64 -2.506 -1.68 -2.27 -0.848]';
gammainit =[ 0.3202   1.172  0.371  1.846  0.434  0.662  0.4100 0.347 -0.925 -1.200 -0.500  0.225 -0.018 -0.31 -0.12 -0.195 -0.12 -0.39 -0.455]';
sigmainit =[1.3016  0.5929]';

mquad=9;

diary em.diary

[alpha,beta,gamma,sigma,converge]=em(alphainit,betainit,gammainit,sigmainit,11,100,11)
diary off