function [f]=getf2cond(y,mucond,bin)
% computes  conditional density f_2(y_ij,beta,sigma_2|b_i)
% mucond is conditional mean

global ERRDIST2 ;

if strcmp(ERRDIST2,'poisson')
  f=poisspdf(y,mucond);

elseif strcmp(ERRDIST2,'binoml')
  f=binopdf(y,bin,mucond./bin);
else
  error('Invalid ERRDIST2 in getf2cond');
end;

