function [lci]=getlci(ublupi,pi,alpi,blpi,i,bi,sigma)
% computes the vector of contributions to the complete data loglikelihood from 
% the ith cluster

global ID ID2 Y XMAT ZMAT WMAT N BINN1 BINN2 ERRDIST1 ERRDIST2 N2;
global MU1LINK MU2LINK PLINK;


BINN1i=BINN1(ID==i);
BINN2i=BINN2(ID==i);
Yi=Y(ID==i);
condalpi=alpi+sigma(1)*bi;
condblpi=blpi+sigma(2)*bi;
mu1condi=getmu1(condalpi,BINN1i);
mu2condi=getmu2(condblpi,BINN2i);
ti=size(ID(ID==i),1);


lci=zeros(ti,1);
lci(ublupi==1)=log(pi(ublupi==1))+log(getf1cond(Yi(ublupi==1),mu1condi(ublupi==1),BINN1i(ublupi==1)));
lci(ublupi==0)=log(1-pi(ublupi==0))+log(getf2cond(Yi(ublupi==0),mu2condi(ublupi==0),BINN2i(ublupi==0)));
lci(ublupi~=1 & ublupi~=0)= ublupi(ublupi~=1 & ublupi~=0).*log(pi(ublupi~=1 & ublupi~=0))+(1-ublupi(ublupi~=1 & ublupi~=0)).*log(1-pi(ublupi~=1 & ublupi~=0)) + ublupi(ublupi~=1 & ublupi~=0).* log(getf1cond(Yi(ublupi~=1 & ublupi~=0),mu1condi(ublupi~=1 & ublupi~=0),BINN1i(ublupi~=1 & ublupi~=0)))+(1-ublupi(ublupi~=1 & ublupi~=0)).*log(getf2cond(Yi(ublupi~=1 & ublupi~=0),mu2condi(ublupi~=1 & ublupi~=0),BINN2i(ublupi~=1 & ublupi~=0)));
