function [d]=getdkappa1(lp)
% computes derivative of kappa1, the canonical parameter of the first 
% distribution in the mixture,  with respect to the linear predictor

global MU1LINK ERRDIST1;
 
if strcmp(ERRDIST1,'poisson')
  if strcmp(MU1LINK,'log')
    d=exp(lp);
  else
    error('invalid MU1LINK in getdkappa1.m');
  end;

else
  error('invalid ERRDIST1 in getdkappa1.m');
end;


